/*
 * $Id: DDStateWorkbenchShortcut.java,v 1.2 2005/08/16 15:44:34 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 09.09.2004 11:04:55 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.debug.ui.ILaunchShortcut;
import org.eclipse.jdt.debug.core.JDIDebugModel;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IEditorPart;

/**
 * COMMENTME Comment type DDStateWorkbenchShortcut
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class DDStateWorkbenchShortcut implements ILaunchShortcut {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.debug.ui.ILaunchShortcut#launch(org.eclipse.jface.viewers.ISelection,
	 *      java.lang.String)
	 */
	public void launch(ISelection selection, String mode) {
		System.out.println("Aufgerufen " + selection.toString());
		IResource type = this.extractSelection(selection);

		System.out.println("Name" + type.getName());
		
		System.out.println("Try to set breakpoint");
		try {
			if (JDIDebugModel.lineBreakpointExists(type.getName(), 18) != null) {
				System.out.println("Breakpoint existiert schon");
			}
			
			// IJavaLineBreakpoint lineBP =
			JDIDebugModel.createLineBreakpoint(type, type.getName(), 18, -1, -1, 0, true, null);
			 
			
		} catch (CoreException e) {
			e.printStackTrace();
		}
	}

	private IResource extractSelection(ISelection sel) {
		if (!(sel instanceof IStructuredSelection))
			return null;

		IStructuredSelection ss = (IStructuredSelection) sel;
		Object element = ss.getFirstElement();

		if (element instanceof IResource)
			return (IResource) element;

		if (!(element instanceof IAdaptable))
			return null;

		IAdaptable adaptable = (IAdaptable) element;
		Object adapter = adaptable.getAdapter(IResource.class);

		return (IResource) adapter;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.debug.ui.ILaunchShortcut#launch(org.eclipse.ui.IEditorPart,
	 *      java.lang.String)
	 */
	public void launch(IEditorPart editor, String mode) {
		// do nothing
	}

}