/*
 * $Id: IExtTestRunner.java,v 1.5 2005/09/13 11:06:34 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jul 21, 2005 1:56:49 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client;

import org.deltadebugging.ddstate.launcher.matcher.MethodTrace;
import org.deltadebugging.ddstate.launcher.server.GenerateTraceException;
import org.deltadebugging.ddstate.launcher.server.instrumenter.IdentifierMap;
import org.deltadebugging.ddstate.launcher.tester.predicate.IPredicate;

/**
 * The ExtTestRunner extend the test runner for the functionality to generate
 * method traces.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IExtTestRunner extends ITestRunner {

    /**
     * Generate a method trace to the given test description. Use the identifier
     * map for the mapping of the mehtod id to the different method signatures.
     * 
     * @param testDesc
     *            the test description of the test which you want to generate a
     *            method trace.
     * @param identifierMap
     * @return a method trace of the executed test
     * @throws GenerateTraceException
     *             if the generation of the method trace fails.
     * @throws TestRunnerException
     *             if something else went wrong.
     */
    public MethodTrace generateTrace(IJUnitTestDescription testDesc,
            IdentifierMap identifierMap) throws GenerateTraceException,
            TestRunnerException;
    
    // COMMENTME run
    public IPredicate run(IJUnitTestDescription testDesc) throws TestRunnerException;
}
