/*
 * $Id: ILineBreakpointLocation.java,v 1.1 2005/08/15 12:11:45 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.08.2005 11:44:15 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher.breakpoint;

/**
 * The line breakpoint location defines the breakpoint at a specified line in
 * the type where the breakpoint was specified.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface ILineBreakpointLocation extends IBreakpointLocation {

	/**
	 * Returns the lineNumber on which the breakpoint will be set - line numbers
	 * are 1 based, associated with the source file in which the breakpoint is
	 * set.
	 * 
	 * @return the lineNumber on which the breakpoint will be set.
	 */
	public int getLineNumber();

}
