/*
 * $Id: IRemoteTestRunner.java,v 1.17 2005/09/29 07:15:45 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 12.02.2005 13:18:06 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.server;

import java.rmi.Remote;
import java.rmi.RemoteException;

import org.deltadebugging.ddstate.launcher.client.IJUnitTestDescription;
import org.deltadebugging.ddstate.launcher.client.ObjectCreationException;
import org.deltadebugging.ddstate.launcher.matcher.MethodTrace;
import org.deltadebugging.ddstate.launcher.server.instrumenter.IdentifierMap;
import org.deltadebugging.ddstate.launcher.tester.predicate.IPredicate;

/**
 * COMMENTME Comment type IRemoteTestRunner
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IRemoteTestRunner extends Remote {

	public IPredicate run(IJUnitTestDescription testDesc)
			throws RemoteException;

	public MethodTrace generateTrace(IJUnitTestDescription testDesc,
			IdentifierMap identifierMap) throws GenerateTraceException,
			RemoteException;

	public boolean isRunning() throws RemoteException;

	public int createNewClass(String instanceType)
			throws ObjectCreationException, RemoteException;

	public int createNewString(String string) throws ObjectCreationException,
			RemoteException;

	public int createNewObject(String className)
			throws ObjectCreationException, RemoteException;

	public int createNewArray(String className, int length)
			throws ObjectCreationException, RemoteException;

	public void loadClass(String className) throws ClassNotFoundException,
			RemoteException;

	public int getCurrentClassLoaderID() throws RemoteException;

}