/*
 * $Id: PassPredicate.java,v 1.2 2005/09/13 11:06:07 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Sep 12, 2005 11:17:10 AM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.tester.predicate;

/**
 * The pass predicate describe the passing outcome of one junit test run.
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class PassPredicate extends Predicate {

	public PassPredicate() {
		super(STATE_TEST_SUCCESSFUL);
	}

	private static final long serialVersionUID = -1410137159130779451L;

	/* (non-Javadoc)
	 * @see org.deltadebugging.ddstate.launcher.tester.predicate.IPredicate#matches(org.deltadebugging.ddstate.launcher.tester.predicate.IPredicate)
	 */
	public boolean matches(IPredicate predicate) {		
		return (predicate instanceof PassPredicate);
	}
	
	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		StringBuffer result = new StringBuffer();
		result.append("PassPredicate");
		
		return result.toString();
	}

}
