package org.deltadebugging.addressbook;

public class Address {

	private final Person fPerson;

	private String fAddress = null;

	private String fPostalCode = null;

	private String fCity = null;

	private final Country fCountry;

	public Address(Person person, Country country) {
		this.fPerson = person;
		this.fCountry = country;
	}
	
	public Address(Person person, String address, String postalCode,
			String city, Country country) {
		this.fPerson = person;
		this.fAddress = address;
		this.fPostalCode = postalCode;
		this.fCity = city;
		this.fCountry = country;
	}

	/**
	 * @return Returns the address.
	 */
	public String getAddress() {
		return this.fAddress;
	}

	/**
	 * @return Returns the city.
	 */
	public String getCity() {
		return this.fCity;
	}

	/**
	 * @return Returns the country.
	 */
	public Country getCountry() {
		return this.fCountry;
	}

	/**
	 * @return Returns the person.
	 */
	public Person getPerson() {
		return this.fPerson;
	}

	/**
	 * @return Returns the postalCode.
	 */
	public String getPostalCode() {
		return this.fPostalCode;
	}

}
