/*
 * $Id: PrimitiveAttributeTest.java,v 1.5 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:29:28 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.memgraph.primitivattribute;

import junit.framework.Assert;
import junit.framework.TestCase;

public class PrimitiveAttributeTest extends TestCase {

    class Test {
        public long longValue;

        public float floatValue;

        public short shortValue;

        public int intValue;

        public double doubleValue;

        public byte byteValue;

        public boolean booleanValue;
    }

    public void testPassingRun() {
        Test test = new Test();
        test.longValue = 1;
        test.floatValue = 1.25f;
        test.shortValue = 2;
        test.intValue = 3;
        test.doubleValue = 3.25;
        test.byteValue = 12;
        test.booleanValue = true;
        Assert.assertEquals(2, test.shortValue);
    }

    public void testFailingRun() {
        Test test = new Test();
        test.longValue = 2;
        test.floatValue = 2.50f;
        test.shortValue = 3;
        test.intValue = 4;
        test.doubleValue = 4.50;
        test.byteValue = 13;
        test.booleanValue = false;
        Assert.assertEquals(2, test.shortValue);
    }

}