package org.deltadebugging.demo;

import java.util.HashSet;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeSet;

import junit.framework.Assert;
import junit.framework.TestCase;

public class TestValueDeltas extends TestCase {

	public void testTypeMemberPass() {
		Foo.DEBUG = true;
		System.out.println("Break here");
	}

	public void testTypeMemberFail() {
		Foo.DEBUG = false;
		System.out.println("Break here");
	}

	private class AddressClassMember {
		public int postalcode = 42334;

		public int x = 0;
	}

	public void testClassMemberPass() {
		AddressClassMember address = new AddressClassMember();
		System.out.println("Break here");
	}

	public void testClassMemberFail() {
		AddressClassMember address = new AddressClassMember();
		address.postalcode = 12345;
		System.out.println("Break here");
	}

	private class AddressString {
		public String street = "First avenue";

		public int x = 0;
	}

	public void testStringPass() {
		AddressString address = new AddressString();
		System.out.println("Break here");
	}

	public void testStringFail() {
		AddressString address = new AddressString();
		address.street = "Baker street";
		System.out.println("Break here");
	}

	public void testArrayElementPass() {
		char[] testOutcome = { 'P', 'A', 'S', 'S' };
		System.out.println("Break here");
	}

	public void testArrayElementFail() {
		char[] testOutcome = { 'F', 'A', 'I', 'L' };
		System.out.println("Break here");
	}

	public void testDeleteObjectPass() {
		Object foo = new Object();
		Object bar = foo;
		System.out.println("Break here");
	}

	public void testDeleteObjectFail() {
		Object foo = new Object();
		Object bar = null;
		System.out.println("Break here");
	}

	public void testCreateObjectPass() {
		Set cache = new HashSet();
		System.out.println("Break here");
	}

	public void testCreateObjectFail() {
		Set cache = new TreeSet();
		System.out.println("Break here");
	}

	public void testUpdatedObjectRefPass() {
		Person peter = new Person();
		Person bob = new Person();
		Person jane = new Person();
		peter.loves = jane;
		bob.loves = jane;
		jane.loves = peter;
		Assert.assertEquals(peter, jane.loves);
	}

	public void testUpdatedObjectRefFail() {
		Person peter = new Person();
		Person bob = new Person();
		Person jane = new Person();
		peter.loves = jane;
		bob.loves = jane;
		jane.loves = bob;
		Assert.assertEquals(peter, jane.loves);
	}
}
