/*
 * $Id: PinDDRunResultAction.java,v 1.1 2005/04/20 09:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 19.04.2005 15:02:29 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.views.actions;

import org.deltadebugging.ddstate.ui.images.DDStateUIImages;
import org.deltadebugging.ddstate.ui.images.IDDStateUIImageConstants;
import org.deltadebugging.ddstate.ui.views.IDDRunResultView;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;

/**
 * COMMENTME Comment type PinDDRunResultAction
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class PinDDRunResultAction extends Action {
    private IDDRunResultView fView = null;

    /**
     * Constructs a 'pin console' action
     */
    public PinDDRunResultAction(IDDRunResultView view) {
        super("Pin DD Run Result", IAction.AS_CHECK_BOX); //$NON-NLS-1$
        setToolTipText("Pin DD Run Result"); //$NON-NLS-1$
        setImageDescriptor(DDStateUIImages
                .getImageDescriptor(IDDStateUIImageConstants.IMG_ELCL_PIN));
        setDisabledImageDescriptor(DDStateUIImages
                .getImageDescriptor(IDDStateUIImageConstants.IMG_DLCL_PIN));
        this.fView = view;
        this.update();
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.action.IAction#run()
     */
    public void run() {
        if (isChecked()) {
            this.fView.pin(this.fView.getDDRunResult());
        } else {
            this.fView.pin(null);
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.ui.texteditor.IUpdate#update()
     */
    public void update() {
        setEnabled(this.fView.getDDRunResult() != null);
        setChecked(this.fView.isPinned());
    }
}