/*
 * $Id: ShowDDRunResultAction.java,v 1.2 2005/08/16 06:49:45 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 10.04.2005 13:28:36 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.views.actions;

import org.deltadebugging.ddstate.launcher.ddrun.IDDRunResult;
import org.deltadebugging.ddstate.ui.views.IDDRunResultView;
import org.eclipse.jface.action.Action;

/**
 * COMMENTME Comment type ShowDDRunResultAction
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class ShowDDRunResultAction extends Action {

    private IDDRunResult fDDRunResult;
    private IDDRunResultView fView;

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.action.IAction#run()
     */
    public void run() {
        if (!this.fDDRunResult.equals(this.fView.getDDRunResult())) {
            // only change if required (and pin the dd run result if pinned)
            if (this.fView.isPinned()) {
                this.fView.pin(this.fDDRunResult);
            } else {
                this.fView.display(this.fDDRunResult);
            }
        }
    }

    /**
     * Constructs an action to display the given console.
     * 
     * @param view
     *            the console view in which the given console is contained
     * @param console
     *            the console
     */
    public ShowDDRunResultAction(IDDRunResultView view, IDDRunResult ddRunResult) {
        super();
        this.fDDRunResult = ddRunResult;
        this.fView = view;
        setText(ddRunResult.getName());
    }

}