/*
 * $Id: GraphVizAttributeList.java,v 1.1 2004/12/17 13:10:46 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 01.09.2004 11:49:16 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer.attributes;

import java.util.Iterator;
import java.util.List;
import java.util.Vector;

/**
 * This class represents a list of GraphViz attributes.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class GraphVizAttributeList {

	private final List attributes = new Vector();

	/**
	 * Add the given attribute to this list.
	 * 
	 * @param attribute
	 *            the attribute to add.
	 */
	public void addAttribute(GraphVizAttribute attribute) {
		this.attributes.add(attribute);
	}

	/**
	 * Returns an iterator over the attributes in this list in proper sequence.
	 * 
	 * @return an iterator over the attributes in this list in proper sequence.
	 */
	public Iterator iterator() {
		return this.attributes.iterator();
	}

	/**
	 * Removes all of the elements from this list (optional operation). This
	 * list will be empty after this call returns.
	 *  
	 */
	public void clear() {
		this.attributes.clear();
	}
}