/*
 * $Id: VizStringObjectNode.java,v 1.2 2005/11/21 19:09:38 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 16.12.2004 13:25:34 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer.vizgraph.value;

import org.deltadebugging.ddstate.memorygraph.value.IStringObjectNode;
import org.deltadebugging.ddstate.visualizer.vizgraph.VizRootNode;
import org.deltadebugging.ddstate.visualizer.vizgraph.exceptions.GraphVisualizerException;

/**
 * The decorator class for the <code>IObjectNode</code>.
 * 
 * @see org.deltadebugging.ddstate.memorygraph.value.IObjectNode
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class VizStringObjectNode extends
        VizObjectNode {

    public VizStringObjectNode(IStringObjectNode graphNode,
            VizRootNode rootNode) {
        super(graphNode, rootNode);
    }

    /*
     * @see org.deltadebugging.ddstate.visualizer.vizgraph.IVizGraphElement#getGraphVizName(boolean)
     */
    public String getGraphVizName(boolean fullQualified)
            throws GraphVisualizerException {
        String result = "instance of ";

        if (fullQualified) {
            result += "java.lang.String";
        } else {
            result += "String";
        }

        result += "\\n\""
                + ((IStringObjectNode) this.getGraphElement())
                        .getStringValue() + "\"";

        return result;
    }

}

