/*
 * $Id: IGraphExtractorListener.java,v 1.4 2005/07/28 12:44:06 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 27.09.2004 16:05:23 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate;

import org.deltadebugging.ddstate.memorygraph.IRootNode;

/**
 * Inform the listener if a memory graph is extracted.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IGraphExtractorListener {

    /**
     * Inform the listener if the memory graph is extracted.
     * 
     * @param rootNode
     *            the root node of the extraced memory graph.
     */
    public abstract void graphExtracted(IRootNode rootNode);

}