/*
 * $Id: MemoryAccessException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.02.2005 15:44:32 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.extractor.exceptions;

/**
 * COMMENTME Comment type MemoryAccessException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class MemoryAccessException extends Exception {

    private static final long serialVersionUID = 3864387278653061666L;

    /**
     * Constructs a new exception with <code>null</code> as its detail
     * message.
     *  
     */
    public MemoryAccessException() {
        super();
    }

    /**
     * Constructs a new exception with the specified detail message.
     * 
     * @param message
     *            the detail message. The detail message is saved for later
     *            retrieval by the <code>Throwable.getMessage()</code> method.
     */
    public MemoryAccessException(String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the specified detail message and cause.
     * 
     * <p>
     * <b>Note: </b> that the detail message associated with cause is not automatically
     * incorporated in this exception's detail message.
     * 
     * @param message
     *            the detail message (which is saved for later retrieval by the
     *            <code>Throwable.getMessage()</code> method).
     * @param cause
     *            the cause (which is saved for later retrieval by the
     *            <code>Throwable.getCause()</code> method). (A
     *            <code>null</code> value is permitted, and indicates that the
     *            cause is nonexistent or unknown.)
     */
    public MemoryAccessException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructs a new exception with the specified cause and a detail message
     * of <code>(cause==null ? null : cause.toString())</code> (which
     * typically contains the class and detail message of cause).
     * 
     * @param cause
     *            the cause (which is saved for later retrieval by the
     *            <code>Throwable.getCause()</code> method). (A
     *            <code>null</code> value is permitted, and indicates that the
     *            cause is nonexistent or unknown.)
     */
    public MemoryAccessException(Throwable cause) {
        super(cause);
    }

}
