/*
 * $Id: IJUnitTestDescription.java,v 1.1 2005/07/26 13:04:37 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 26.07.2005 14:47:32 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client;

/**
 * A JUnit test description includes the test case class name and the test
 * method name.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IJUnitTestDescription {

    /**
     * Returns the class name of the test case class.
     * 
     * @return the class name of the test case class.
     */
    public abstract String getTestCaseClassName();

    /**
     * Returns the name of the test method.
     * 
     * @return the name of the test method.
     */
    public abstract String getTestName();
}