/*
 * $Id: MethodIdentifier.java,v 1.1 2005/08/21 13:14:11 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 21.08.2005 14:24:45 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph;

/**
 * The method identifier characterises unambigious a method in a class.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class MethodIdentifier implements IMethodIdentifier {

	private final String fTypeName;

	private final String fMethodName;

	private final String fSignature;

	public MethodIdentifier(String typeName, String methodName, String signature) {
		this.fTypeName = typeName;
		this.fMethodName = methodName;
		this.fSignature = signature;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.memorygraph.IMethodIdentifier#getTypeName()
	 */
	public String getTypeName() {
		return this.fTypeName;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.memorygraph.IMethodIdentifier#getMethodName()
	 */
	public String getMethodName() {
		return this.fMethodName;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.memorygraph.IMethodIdentifier#getSignature()
	 */
	public String getSignature() {
		return this.fSignature;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		return toString().hashCode();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object object) {
		return toString().equals(object.toString());
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return this.fTypeName + "#" + this.fMethodName + "#" + this.fSignature;
	}
}
