/*
 * $Id: Statistics.java,v 1.1 2005/08/23 07:16:29 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 23.08.2005 08:54:59 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph;

/**
 * This class is a container for some statistics about the graph extraction and
 * graph comparation.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class Statistics {

	/**
	 * The number of graph nodes in one graph.
	 */
	public long numberOfGraphNodes = 0;

	/**
	 * The number of graph edges in one graph.
	 */
	public long numberOfGraphEdges = 0;

	/**
	 * The number of equal graph nodes after the graph comparation.
	 */
	public long numberOfEqualNodes = 0;

	/**
	 * The number of equal graph edges after the graph comparation.
	 */
	public long numberOfEqualEdges = 0;

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		StringBuffer result = new StringBuffer();
		result.append("Graph-Statistics:\n");
		result.append("\tNumber of graph nodes      : "
				+ this.numberOfGraphNodes + "\n");
		result.append("\tNumber of graph edges      : "
				+ this.numberOfGraphEdges + "\n");
		result.append("\tNumber of equal graph nodes: "
				+ this.numberOfEqualNodes + "\n");
		result.append("\tNumber of equal graph edges: "
				+ this.numberOfEqualEdges);
		return result.toString();
	}

}
