/*
 * $Id: DeleteDelta.java,v 1.9 2005/11/22 14:23:15 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 01.08.2005 08:42:12 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.delta.delete;

import org.deltadebugging.ddstate.memorygraph.IGraphEdge;
import org.deltadebugging.ddstate.memorygraph.delta.IDeleteDelta;
import org.deltadebugging.ddstate.memorygraph.delta.MemoryGraphDelta;
import org.deltadebugging.ddstate.memorygraph.delta.location.PathLocation;

/**
 * The delete delta deletes a value in the memory.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public abstract class DeleteDelta extends MemoryGraphDelta implements
        IDeleteDelta {

    /** The edge to the value that should deleted by this delta */
    private final IGraphEdge fEdgeToValueToDelete;

    public DeleteDelta(IGraphEdge valueToDelete, boolean associatedNodes) {
        super(new PathLocation(valueToDelete, associatedNodes));
        this.fEdgeToValueToDelete = valueToDelete;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.delta.IDeleteDelta#getEdgeToValueToDelete()
     */
    public IGraphEdge getVariableToDelete() {
        return this.fEdgeToValueToDelete;
    }
}
