/*
 * $Id: MemoryGraphDebugException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.12.2004 21:41:23 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.exceptions;

/**
 * This exception is a wrapper class for the
 * org.eclipse.debug.core.DebugException. It will be thrown if the
 * DebugException occurs on the memory graph classes.
 * 
 * This can happen p.e. if you try to read a value of a graph member that is no
 * more valid, because the object in the vm was deleted by the garbage
 * collector.
 * 
 * @see org.eclipse.debug.core.DebugException
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class MemoryGraphDebugException extends MemoryGraphException {

    private static final long serialVersionUID = -1882512074611277331L;

    /**
     *  
     */
    public MemoryGraphDebugException() {
        super();
    }

    /**
     * @param message
     */
    public MemoryGraphDebugException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public MemoryGraphDebugException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public MemoryGraphDebugException(String message, Throwable cause) {
        super(message, cause);
    }

}

