/*
 * $Id: MemoryGraphException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.12.2004 21:25:41 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.exceptions;

/**
 * This is a generic exception if something went wrong with the memory graph. If
 * you want to throw a memory graph operation driven exception use one of the
 * subclass or write your own subclass.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class MemoryGraphException extends Exception {

    private static final long serialVersionUID = -4370846000831657311L;

    /**
     *  
     */
    public MemoryGraphException() {
        super();
    }

    /**
     * @param message
     */
    public MemoryGraphException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public MemoryGraphException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public MemoryGraphException(String message, Throwable cause) {
        super(message, cause);
    }

}

