/*
 * $Id: StringFilter.java,v 1.3 2005/11/14 10:59:58 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Sep 17, 2004 1:18:35 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.filter.nodefilter;

import org.deltadebugging.ddstate.memorygraph.value.IValueNode;

/**
 * With the StringFilter you can filter graph nodes of the type
 * <code>IValueNode</code>, which references to a String.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class StringFilter extends AbstractGraphNodeValueFilter {

    /**
     * Full qualified name of the <code>java.lang.String</code> class.
     */
    private final static String STRING_CLASS = String.class.getName();

    /**
     * @return true for all graph nodes that referenced to a String.
     */
    protected boolean filterGraphNodeValue(IValueNode graphNodeValue) {

        boolean result = true;

        result = graphNodeValue.getReferenceTypeName().equals(STRING_CLASS);

        return result;
    }

}