/*
 * $Id: AbstractJavaTypeFilter.java,v 1.1 2005/03/24 08:05:32 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 23.03.2005 22:29:35 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.filter.typefilter;

import org.deltadebugging.ddstate.memorygraph.filter.GraphFilterException;
import org.eclipse.jdt.debug.core.IJavaType;

/**
 * COMMENTME Comment type AbstractJavaTypeFilter
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public abstract class AbstractJavaTypeFilter implements IJavaTypeFilter {

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.filter.IGraphFilter#filterObject(java.lang.Object)
     */
    public boolean filterObject(Object obj) throws GraphFilterException {
        boolean result = false;

        if (obj instanceof IJavaType) {
            result = this.createJavaTypeNode((IJavaType) obj);
        }

        return result;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.filter.typefilter.IJavaTypeFilter#createJavaTypeNode(org.eclipse.jdt.debug.core.IJavaType)
     */
    public abstract boolean createJavaTypeNode(IJavaType type)
            throws GraphFilterException;

}