/*
 * $Id: IValueNode.java,v 1.2 2005/11/14 14:07:52 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Sep 17, 2004 11:40:13 AM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.value;

import org.deltadebugging.ddstate.memorygraph.IGraphNode;
import org.eclipse.jdt.debug.core.IJavaValue;

/**
 * COMMENTME Comment type IValueNode
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IValueNode extends IGraphNode {

    /**
     * Returns a description of the type of data the value of this Variable
     * contains or references. Note that the declared type of a variable and the
     * concrete type of its value are not neccessarily the same.
     * 
     * @return the name of the concrete type
     */
    public String getReferenceTypeName();
    
    public String getShortReferenceTypeName();

    // COMMENTME getValue
    public IJavaValue getValue();
}