/*
 * $Id: DDStatePreferencePage.java,v 1.13 2005/10/11 19:10:51 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 03.09.2004 16:00:47 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.preferences;

import org.deltadebugging.ddstate.DDStatePlugin;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.preference.PreferencePage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

/**
 * COMMENTME Comment type DDStatePreferencePage
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class DDStatePreferencePage extends PreferencePage implements
        IWorkbenchPreferencePage {

    /**
     * Constractor of the preference page
     *  
     */
    public DDStatePreferencePage() {
        this.setDescription("");
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.preference.PreferencePage#createContents(org.eclipse.swt.widgets.Composite)
     */
    protected Control createContents(Composite parent) {

        Composite container = new Composite(parent, SWT.NULL);

        // initialize the various fields with the values from the saved
        // preferences
        this.initializeValues();

        return container;
    }

    /**
     * Initialize the various fields of this page with the saved preferences.
     *  
     */
    private void initializeValues() {
        // IPreferenceStore store = getPreferenceStore();

        // load the preferences
    }

    /**
     * Initialize the various fields of this page with the default values of the
     * preferences.
     *  
     */
    private void initializeDefaults() {
        // IPreferenceStore store = getPreferenceStore();

        // initialize the default values
    }

    /**
     * Store the various field in the preferences referenced to this preference
     * page.
     *  
     */
    private void storeValues() {
        // IPreferenceStore store = getPreferenceStore();

        // store the preferences
    }

    /**
     * Returns preference store that belongs to the our plugin.
     * 
     * @return the preference store for this plugin
     */
    protected IPreferenceStore doGetPreferenceStore() {
        return DDStatePlugin.getDefault().getPreferenceStore();
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.preference.PreferencePage#performDefaults()
     */
    protected void performDefaults() {
        this.initializeDefaults();

        super.performDefaults();
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.preference.IPreferencePage#performOk()
     */
    public boolean performOk() {
        this.storeValues();

        return super.performOk();
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
     */
    public void init(IWorkbench workbench) {
    		// do nothing
    }

}