/*
 * Created on 01.12.2004 by dallmeier
 *
 * 
 */
package org.softevo.sibrelib.source;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Iterator;

/**
 * @author dallmeier
 *  
 */
public class BCELClassLoader extends ClassLoader {

    private ClassFileSource source = null;

    private HashMap classFileMap = null;

    /**
     *  
     */
    public BCELClassLoader(ClassFileSource source) {
        this.source = source;
        this.classFileMap = getClassFileMap(source.getClassIterator());
    }

    private HashMap getClassFileMap(Iterator classIterator) {
        HashMap result;
        ClassFile classFile;

        result = new HashMap(1000);
        while (classIterator.hasNext()) {
            classFile = (ClassFile) classIterator.next();
            result.put(classFile.getClassName().replace('.', '/') + ".class",
                    classFile);
        }
        return result;
    }

    public InputStream getResourceAsStream(String name) {
        ClassFile classFile;

        classFile = (ClassFile) this.classFileMap.get(name);
        if (classFile == null) {
            return null;
        }

        // else
        return new ByteArrayInputStream(classFile.getClassBytes());
    }

}
